<?
include("../fnc.php");
enlinea_alumno();
  if(!$_POST[id_re]){
    alert("Seleccione una respuesta","javascript:history.go(-1)");
  }

  $id_pr=dec($idp);
  $id_ev=dec($idev);

  $qpr=mysql_query("select * from ev_m_preguntas where id = $id_pr");
  if(mysql_num_rows($qpr)==0){
    alert("La pregunta no existe","frm_login.php");
  }else{
    $ipr=mysql_fetch_array($qpr);
  }

  $qre=mysql_query("select * from ev_m_opciones where correcta='S' and pregunta='$id_pr'");
  if(mysql_num_rows($qre)==0){
    alert("Parámetros incorrectos","frm_login.php");
  }

  $ire=mysql_fetch_array($qre);
  if($ire[id]==$id_re){
    $nota=$ipr[valor];
  }else{
    $nota=0;
  }

/*  echo "<br>ID RE:$id_re";
  echo "<br>ID EV:$id_ev";
  echo "<br>ID PR:$id_pr";
  echo "<br>$uuser";
  echo "<br>$valor_pregunta";*/

  $sql="insert into respuestas_m (evaluacion, pregunta, alumno, respuesta, nota, fecha, ip)
        values('$id_ev', $id_pr, '$uuser',$id_re, $nota, '$fechahora','$rmhost')";
//  echo $sql;
//  exit();

  $qverifica=mysql_query("select * from respuestas_m where alumno='$uuser' and pregunta='$id_pr' and evaluacion = '$id_ev'");
  if(mysql_num_rows($qverifica)==0){
    $insert=mysql_query($sql);
    if($insert){
      header("Location: responder_evaluacion.php?idev=$idev");
    }else{
      alert("Error: ".mysql_error(),"javascript:history.go(-1)");
    }
  }else{
    header("Location: responder_evaluacion.php?idev=$idev");
  }
?>